CREATE TABLE IF NOT EXISTS user_billing_history (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    "user" UUID NOT NULL REFERENCES "user"(id),
    amount NUMERIC NOT NULL,
    currency TEXT NOT NULL,
    reason TEXT NOT NULL,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now()
);
